package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFA85 extends MwfRequest<MWFA85, MWFA85Response> {

    @Parameter(name = "CisloKarty")
    MWFA85 cisloKarty(Long cisloKarty);
    @Parameter(name = "PINZdarma")
    MWFA85 pINZdarma(String pINZdarma);
    @Parameter(name = "SmartPINNumber")
    MWFA85 smartPINNumber(String smartPINNumber);
    @Parameter(name = "TelefonMobilni")
    MWFA85 telefonMobilni(String telefonMobilni);
    @Parameter(name = "VypnoutKontroly")
    MWFA85 vypnoutKontroly(String vypnoutKontroly);
    @Parameter(name = "ZpusobDistribucePIN")
    MWFA85 zpusobDistribucePIN(String zpusobDistribucePIN);
}
